diff -Naur autolog.orig/autolog-0.40/debian/changelog autolog/autolog-0.40/debian/changelog
--- autolog.orig/autolog-0.40/debian/changelog	2014-02-24 19:06:44.384121810 -0600
+++ autolog/autolog-0.40/debian/changelog	2014-02-24 19:12:17.076127603 -0600
@@ -1,3 +1,11 @@
+autolog (0.40-13.2) unstable; urgency=low
+
+  * Fix the FTBFS with clang:
+    - Fixed the non-void function should return a value in
+      autolog.c
+
+ -- Arthur Marble <arthur@info9.net>  Mon, 24 Feb 2014 19:12:17 -0600
+
 autolog (0.40-13.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff -Naur autolog.orig/autolog-0.40/debian/patches/clang-ftbfs.diff autolog/autolog-0.40/debian/patches/clang-ftbfs.diff 
--- autolog.orig/autolog-0.40/debian/patches/clang-ftbfs.diff	1969-12-31 18:00:00.000000000 -0600
+++ autolog/autolog-0.40/debian/patches/clang-ftbfs.diff	2014-02-24 19:10:11.288125413 -0600
@@ -0,0 +1,38 @@
+--- a/autolog.c
++++ b/autolog.c
+@@ -355,7 +355,7 @@ save_users(){
+ 
+     if (!(f=fopen(datfname,"w+"))) {
+ 	bailout("Can't create data-file.", 6);
+-	return;
++	return 0;
+     }
+ 
+     fprintf(f,"%d\n",userfill);
+@@ -376,7 +376,7 @@ load_users(){
+     FILE* f;
+ 
+ /*.. if no table exists, no problem, just return. ...........................*/
+-    if (!(f=fopen(datfname,"r"))) { return; }
++    if (!(f=fopen(datfname,"r"))) { return 0; }
+ 
+ /*.. check, how many lines with data will follow. ...........................*/
+     fscanf(f,"%d",&userfill);
+@@ -1041,7 +1041,7 @@ kill_lost_PIDs()
+ /*.. have ps tell us all current users, uids and pids. ......................*/
+     if (!(ps = popen(ps_cmd, "r")) ){
+ 	bailout("Can't use ps program", 6);
+-	return;
++	return 0;
+     }
+     fgets(iline, LINELEN, ps);		 /* get header-line */
+ 
+@@ -1090,7 +1090,7 @@ kill_lost_PIDs()
+         if(!fgets(iline, LINELEN, ps)) {
+           /* end of file, exit*/
+           fclose(ps);
+-          return;
++          return 0;
+         }
+         i=strlen(iline);
+     }
diff -Naur autolog.orig/autolog-0.40/debian/patches/series autolog/autolog-0.40/debian/patches/series 
--- autolog.orig/autolog-0.40/debian/patches/series	2014-02-24 19:06:44.384121810 -0600
+++ autolog/autolog-0.40/debian/patches/series	2014-02-24 19:07:05.536122178 -0600
@@ -2,3 +2,4 @@
 02_autolog.c
 03_autolog.init
 04_check_ps_output.diff
+clang-ftbfs.diff
